Debian Bug report logs - #405845
Debian etch, udev and net interface renaming errors

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: <rimvydas.zilinskas@gmail.com>

Date: Sat, 6 Jan 2007 18:33:01 UTC

Severity: normal

Found in version udev/0.103-1

Fixed in version udev/0.105-2

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#405845; Package udev. Full text and rfc822 format available.

Acknowledgement sent to <rimvydas.zilinskas@gmail.com>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Rimvydas" <rimvydas.zilinskas@gmail.com>
To: <submit@bugs.debian.org>
Subject: Debian etch, udev and net interface renaming errors
Date: Sat, 6 Jan 2007 20:22:21 +0200
Package: udev
Version: 0.103-1

Hi,
  
When I had Debian etch RC1 which came with 2.6.17 kernel and older version
of udev I had no network interfaces renaming errors. I installed fresh etch
with the latest kernel and udev yesterday (kernel 2.6.18-3, udev 0.103-1)
and right after that I started to notice interface renaming errors. 
 
My system:
 
1x ISA PNP 3Com net card
2x almost indentical Realtek RTL-8139 PCI net cards
1x 3Com 3c905 PCI card.
 
My z25_persistent-net.rules file:
# This file was automatically generated by the /lib/udev/write_net_rules
# program, probably run by the persistent-net-generator.rules rules file.
#
# You can modify it, as long as you keep each rule on a single line. 
# MAC addresses must be written in lowercase.
# Realtek card
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:50:22:81:d8:fb",
NAME="eth3"

#3Com card
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:60:97:20:5e:dd",
NAME="eth1" 

#Realtek card
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:e0:4c:ac:9a:75",
NAME="eth2"

When system starts I can see that all interfaces were named correctly, but
during boot time I can see few interface renaming errors:

udevd-event[599]: rename_netif: error changing net interface name
eth0_rename to eth1: No such device
udevd-event[600]: rename_netif: error changing net interface name
eth1_rename to eth2: No such device

So my question would be - how can I eliminate these errors? As I saw in logs
kernel assigns eth0 and eth1 names to realtek cards at boot time. They both
use the same module. And I'm trying to rename them to eth2 and eth3.

I think that it may be a bug because I reproduced this behaviour and on my
Vmware machine. Installed clean etch with one nic. When install process
asked for reboot I added secondary nic. Machine booted without an errors.

Then I've modified the z25_persistent-net.rules file like this (after the
first boot card with mac which ends with 1f:f7 had a name eth1 in this
file):

# PCI device 0x1022:0x2000 (pcnet32)
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:0c:29:ae:1f:f7",
NAME="eth0"

# PCI device 0x1022:0x2000 (pcnet32)
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:0c:29:ae:1f:ed",
NAME="eth1"

In other words I tried to exchange net interface names, I wanted eth1 name
to became eth0. I can see that the kernel assigns eth0 name to the nic which
mac ends with 1f:ed. And when I restarted machine these renaming errors
started to show up again:( 

So I need help and resolution. Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#405845; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #10 received at 405845@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: rimvydas.zilinskas@gmail.com, 405845@bugs.debian.org
Subject: Re: Bug#405845: Debian etch, udev and net interface renaming errors
Date: Sat, 6 Jan 2007 19:43:04 +0100
[Message part 1 (text/plain, inline)]
On Jan 06, Rimvydas <rimvydas.zilinskas@gmail.com> wrote:

> When I had Debian etch RC1 which came with 2.6.17 kernel and older version
> of udev I had no network interfaces renaming errors. I installed fresh etch
> with the latest kernel and udev yesterday (kernel 2.6.18-3, udev 0.103-1)
> and right after that I started to notice interface renaming errors. 
This makes me suspect that your kernel is buggy.
Please try rebooting with the old kernel package.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#405845; Package udev. Full text and rfc822 format available.

Acknowledgement sent to <aladdin@antakalnis.lt>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #15 received at 405845@bugs.debian.org (full text, mbox):

From: "Aladdin" <aladdin@antakalnis.lt>
To: <405845@bugs.debian.org>
Subject: Re: Bug#405845: Debian etch, udev and net interface renaming errors
Date: Sun, 7 Jan 2007 00:19:11 +0200
Marko,

Please explain, how can my kernel package be buggy if it is freshly
installed system. I installed this system few hours ago. I have the same
behavior with freshly installed system on my server, I have the same
behavior and on my vmware machine, which have freshly installed debian etch
too. Both installations are fresh installs without any modifications done. I
didn't do any modifications to the kernel, any recompilations, nothing. I
only selected 2.6.18-686 kernel package during install phase. So how can my
kernel be buggy.

I'm doing debian etch reinstalls quite often from the businesscard cd so I
can remember that when installer had 2.6.17 kernel in its choices after
install I was not able to see any nic interface renaming errors. I think and
that udev in November was older then it is now.

So in other word I have unmodified kernel package which installer offers. So
how can it be buggy? I do not have any other kernel image to boot into. So I
still think that it may be a bug in here, sorry:(




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#405845; Package udev. Full text and rfc822 format available.

Acknowledgement sent to <aladdin@antakalnis.lt>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #20 received at 405845@bugs.debian.org (full text, mbox):

From: Aladdin <rimvydas.zilinskas@gmail.com>
To: <405845@bugs.debian.org>
Subject: Re: Bug#405845: Debian etch, udev and net interface renaming errors
Date: Sun, 7 Jan 2007 00:20:56 +0200
Sorry, mailed from the wrong address

--------------------------

Marko,

Please explain, how can my kernel package be buggy if it is freshly
installed system. I installed this system few hours ago. I have the same
behavior with freshly installed system on my server, I have the same
behavior and on my vmware machine, which have freshly installed debian etch
too. Both installations are fresh installs without any modifications done. I
didn't do any modifications to the kernel, any recompilations, nothing. I
only selected 2.6.18-686 kernel package during install phase. So how can my
kernel be buggy.

I'm doing debian etch reinstalls quite often from the businesscard cd so I
can remember that when installer had 2.6.17 kernel in its choices after
install I was not able to see any nic interface renaming errors. I think and
that udev in November was older then it is now.

So in other word I have unmodified kernel package which installer offers. So
how can it be buggy? I do not have any other kernel image to boot into. So I
still think that it may be a bug in here, sorry:(




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#405845; Package udev. Full text and rfc822 format available.

Acknowledgement sent to <rimvydas.zilinskas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #25 received at 405845@bugs.debian.org (full text, mbox):

From: "Rimvydas" <rimvydas.zilinskas@gmail.com>
To: "'Marco d'Itri'" <md@Linux.IT>, <405845@bugs.debian.org>
Subject: RE: Bug#405845: Debian etch, udev and net interface renaming errors
Date: Sun, 7 Jan 2007 13:40:57 +0200
Hi,

One more addition. I downloaded 2.6.19.1 kernel and compiled it on my vmware
machine. After reboot I had the same interface renaming errors:( Do you
still think that my kernel or kernel in general is buggy?

I tried to undo the changes in z25_persistent-net.rules file

I returned from this:
------
# PCI device 0x1022:0x2000 (pcnet32)
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:0c:29:ae:1f:f7",
NAME="eth0"

# PCI device 0x1022:0x2000 (pcnet32)
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:0c:29:ae:1f:ed",
NAME="eth1"
-------

To this:

------
# PCI device 0x1022:0x2000 (pcnet32)
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:0c:29:ae:1f:ed",
NAME="eth0"

# PCI device 0x1022:0x2000 (pcnet32)
SUBSYSTEM=="net", DRIVERS=="?*", ATTRS{address}=="00:0c:29:ae:1f:f7",
NAME="eth1"

-------

Now I have this file exactly the same as it was created after etch
installation. After reboot the same renaming errors:( I think that I didn't
notice this error after my initial etch installation which I did yesterday
and after first reboot. So in general problem is the following:

Clean unmodified etch installaton with 2.6.18-3 kernel, tried 2.6.19.1 And
when system has two or more indentical network cards which use the same
loadable module I have renaming errors everytime.

Errors are like this:

udevd-event[599]: rename_netif: error changing net interface name
eth0_rename to eth1: No such device
udevd-event[600]: rename_netif: error changing net interface name
eth1_rename to eth2: No such device

So how can we correct this issue?

> This makes me suspect that your kernel is buggy.
> Please try rebooting with the old kernel package.





Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#405845; Package udev. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #30 received at 405845@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Rimvydas <rimvydas.zilinskas@gmail.com>
Cc: 405845@bugs.debian.org
Subject: Re: Bug#405845: Debian etch, udev and net interface renaming errors
Date: Sun, 7 Jan 2007 12:58:39 +0100
[Message part 1 (text/plain, inline)]
On Jan 07, Rimvydas <rimvydas.zilinskas@gmail.com> wrote:

> One more addition. I downloaded 2.6.19.1 kernel and compiled it on my vmware
> machine. After reboot I had the same interface renaming errors:( Do you
> still think that my kernel or kernel in general is buggy?
You wrote that a 2.6.17 kernel worked so test again that kernel, not
another random one.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#405845; Package udev. Full text and rfc822 format available.

Acknowledgement sent to <rimvydas.zilinskas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #35 received at 405845@bugs.debian.org (full text, mbox):

From: "Rimvydas" <rimvydas.zilinskas@gmail.com>
To: "'Marco d'Itri'" <md@Linux.IT>
Cc: <405845@bugs.debian.org>
Subject: RE: Bug#405845: Debian etch, udev and net interface renaming errors
Date: Sun, 7 Jan 2007 15:40:23 +0200
Luckily I had my old precompiled 2.6.17 kernel package for my server
machine. So I installed it. After the first few reboots it seemed that these
errors were gone. But after few more additional reboots I noticed these
errors again:( I'm starting to think that I could simply miss these errors
earlier because boot messages scroll so fast, my interfaces are renamed
correctly and I can't see these errors neither through dmesg command nor in
logs. They appear only during boot time. So in general I have these renaming
errors and with 2.6.17 kernel:( But interfaces are renamed correctly. Few
errors show up right after kernel detects PCI network cards even before
kernel detects hard disk, one more error shows up after the message "waiting
for /dev to be fully populated" (I can see these errors on the server
machine with 4 nic). On vmware machine with two indentical nics it seems
that there is only one error which shows up.

And do you remember when I said that when I reverted
z25_persistent-net.rules to it's initial state and did few reboots that
errors still were there? I had to power off my vmware machine and when I
powered on this machine these errors were gone, I did few reboots to be
sure. So I tried to swap the names for these interfaces once again and right
after that these errors (in my case one renaming error) appeared again:( So
after that I reverted to initial state once again, rebooted and errors were
gone. So I think that on my machines errors appear when I'm trying to rename
interfaces.

> You wrote that a 2.6.17 kernel worked so test again that kernel, not
> another random one.





Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to <rimvydas.zilinskas@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 405845-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 405845-close@bugs.debian.org
Subject: Bug#405845: fixed in udev 0.105-2
Date: Mon, 26 Feb 2007 02:02:03 +0000
Source: udev
Source-Version: 0.105-2

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

libvolume-id-dev_0.105-2_i386.deb
  to pool/main/u/udev/libvolume-id-dev_0.105-2_i386.deb
libvolume-id0_0.105-2_i386.deb
  to pool/main/u/udev/libvolume-id0_0.105-2_i386.deb
udev-udeb_0.105-2_i386.udeb
  to pool/main/u/udev/udev-udeb_0.105-2_i386.udeb
udev_0.105-2.diff.gz
  to pool/main/u/udev/udev_0.105-2.diff.gz
udev_0.105-2.dsc
  to pool/main/u/udev/udev_0.105-2.dsc
udev_0.105-2_i386.deb
  to pool/main/u/udev/udev_0.105-2_i386.deb
udev_0.105.orig.tar.gz
  to pool/main/u/udev/udev_0.105.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 405845@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 26 Feb 2007 01:35:50 +0100
Source: udev
Binary: libvolume-id-dev udev libvolume-id0 udev-udeb
Architecture: source i386
Version: 0.105-2
Distribution: unstable
Urgency: high
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 libvolume-id-dev - libvolume_id development headers
 libvolume-id0 - libvolume_id shared library
 udev       - /dev/ and hotplug management daemon
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 395962 405845 406843 406869 406948 407738 408750 409503 411394
Changes: 
 udev (0.105-2) unstable; urgency=high
 .
   * postinst: try again fixing #404476. (Closes: #409503)
   * hotplug.rules: do not check for the existence of $RULES_FILE in
     find_all_rules(). (Closes: #408750, #405845, #406948)
   * write_cd_rules: fixed unintended shell expansion in find_next_available().
     (Closes: #407738)
   * permissions.rules: use group tape for SCSI media changers.
     (Closes: #406843)
   * hotplug.rules: load ch for SCSI media changers. (Closes: #406869)
   * permissions.rules: ignore the removable flag for aacraid devices.
     (See #404927.)
   * Added to README.Debian a note about generation of persistent names
     rules. (Closes: #411394)
   * cd-aliases-generator.rules: by default create "by-id" rules for USB
     and Firewire devices which usually do not have a stable path.
     (Closes: #395962)
   * Backported the upstream changeset 7db33ac19c430c9a4c4af415e2febbd6b17aff2a
     which fixes access to attribute files containing a colon.
Files: 
 6bb89216ecef9db6ebf8da1d2bc361dd 635 admin important udev_0.105-2.dsc
 9d58389d5ef915c49681cae4fba3cd60 188150 admin important udev_0.105.orig.tar.gz
 7d9ae90f38888fb8ce5f3d53c1b502f2 63594 admin important udev_0.105-2.diff.gz
 0126f0cc9a13cab79d6775ceb64e7730 262526 admin important udev_0.105-2_i386.deb
 6977ada26c604ca54947e7e6b03db23c 62280 libs important libvolume-id0_0.105-2_i386.deb
 7fea945ba25023ef078f94d80b575234 15592 libdevel optional libvolume-id-dev_0.105-2_i386.deb
 f59ce1ed1f92489f1441be6a992f147e 104792 debian-installer important udev-udeb_0.105-2_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFF4j1LFGfw2OHuP7ERAnUvAKCNZyNx+IKleglg1hAzd1/AUPbyXACfQ6Bb
1q6Ld3zEuSh2zARABaErKwE=
=E5iC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 11:12:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:36:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.